Bug 584489 - SELinux is preventing /usr/bin/python "create" access on rawhide-debuginfo.
SELinux is preventing /usr/bin/python "create" access on rawhide-debuginfo.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
12
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:627e629fbb7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-21 13:18 EDT by Rajesh Kumar
Modified: 2010-08-19 07:34 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-19 07:34:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rajesh Kumar 2010-04-21 13:18:00 EDT
Summary:

SELinux is preventing /usr/bin/python "create" access on rawhide-debuginfo.

Detailed Description:

[yum has a permissive type (abrt_t). This access was not denied.]

SELinux denied access requested by yum. It is not expected that this access is
required by yum and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:abrt_t:s0
Target Context                system_u:object_r:rpm_var_cache_t:s0
Target Objects                rawhide-debuginfo [ dir ]
Source                        yum
Source Path                   /usr/bin/python
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           python-2.6.2-2.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-108.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.31.5-127.fc12.i686.PAE #1 SMP Sat Nov 7
                              21:25:57 EST 2009 i686 athlon
Alert Count                   1
First Seen                    Wed 21 Apr 2010 05:07:16 AM IST
Last Seen                     Wed 21 Apr 2010 05:07:16 AM IST
Local ID                      c60b7677-858f-4647-a450-973676dc8367
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1271806636.379:25): avc:  denied  { create } for  pid=2304 comm="yum" name="rawhide-debuginfo" scontext=system_u:system_r:abrt_t:s0 tcontext=system_u:object_r:rpm_var_cache_t:s0 tclass=dir

node=(removed) type=SYSCALL msg=audit(1271806636.379:25): arch=40000003 syscall=39 success=yes exit=0 a0=a1b5c08 a1=1ed a2=5e6b868 a3=9ab2050 items=0 ppid=2303 pid=2304 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="yum" exe="/usr/bin/python" subj=system_u:system_r:abrt_t:s0 key=(null)



Hash String generated from  selinux-policy-3.6.32-108.fc12,catchall,yum,abrt_t,rpm_var_cache_t,dir,create
audit2allow suggests:

#============= abrt_t ==============
allow abrt_t rpm_var_cache_t:dir create;
Comment 1 Daniel Walsh 2010-04-21 13:36:56 EDT
This look like it should be allowed.

Could you execute

yum reinstall selinux-policy-targeted

And see if anything blows up?

Note You need to log in before you can comment on or make changes to this bug.